Holger's Java API

## com.antelmann
Class Version

    java.lang.Object
      com.antelmann.Version

    public final class Version

extends Object

The class Version provides versioning information for the Antelmann.com Java framework.

Note that this class requires access to the com/antelmann/properties file, which is ultimately located through `Settings.getResource(String)`.

Author:
  Holger Antelmann
See Also:
  `Settings`

Method Summary
`static boolean` `checkForUpgrade()` checkForUpgrade() connects to the Internet to check for an available upgrade.
`static boolean` `checkJavaVersion()` checks whether the system environment (here: java.version from your system properties) is sufficient for the classes of this package to run properly
`static String` `getApplicationName()` returns `Settings.getProperty("application.name")`
`static Date` `getBuildDate()`
`static long` `getBuildNumber()` getBuildNumber() returns the build number that denotes the exact minor version of this package.
`static String` `getLicenseText()` retrieves the license from a file distributed with the antelmann.jar file
`static URL` `getOnlineJarFile()`
`static String` `getReleaseVersion()` denotes the major version of this package release
`static String` `getVersionString()` returns a String containing version information about this package
`static boolean` `isJRE7orBetter()` Deprecated.
`static void` `main(String[] args)` prints out version information

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isJRE7orBetter

    @Deprecated
    public static boolean isJRE7orBetter()

  Deprecated.

### getVersionString

    public static String getVersionString()

  returns a String containing version information about this package

  See Also:
    `getBuildNumber()`

### checkJavaVersion

    public static boolean checkJavaVersion()

  checks whether the system environment (here: java.version from your system properties) is sufficient for the classes of this package to run properly

  Returns:
    true if Java Version is good enough for this package; false otherwise

### getApplicationName

    public static String getApplicationName()

  returns `Settings.getProperty("application.name")`

### getBuildNumber

    public static long getBuildNumber()

  getBuildNumber() returns the build number that denotes the exact minor version of this package. Note that this method requires access to a file that is automatically generated during the build process of this package and usually provided with the antelmann.jar distribution; if the file is not present or cannot be accessed, a RuntimeException may be thrown.

### getBuildDate

    public static Date getBuildDate()

### checkForUpgrade

    public static boolean checkForUpgrade()
                                   throws IOException

  checkForUpgrade() connects to the Internet to check for an available upgrade. There is no 3rd party involved in this check; this method simply checks a timestamp on the original antelmann.com website and compares it to the local copy. No user-specific data is sent to the server; a plain HTTP request is made for the file containing the timestamp on the server.

  Returns:
    true if an upgrade is available; false if you have the latest version
  Throws:
    `IOException` - if a connection could not be established to upgrade server

### getOnlineJarFile

    public static URL getOnlineJarFile()
                                throws MalformedURLException

  Throws:
    `MalformedURLException`

### getReleaseVersion

    public static String getReleaseVersion()

  denotes the major version of this package release

  See Also:
    `getVersionString()`

### getLicenseText

    public static String getLicenseText()

  retrieves the license from a file distributed with the antelmann.jar file

### main

    public static void main(String[] args)

  prints out version information

  See Also:
    `getVersionString()`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads